Skip to content

getInventoryItems

READ

Get inventory items.

POST /api/v1/inventory/getInventoryItems
curl -X POST '<your-host>/api/v1/inventory/getInventoryItems' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "daysRemaining": 0,
      "demandAccumulationPeriod": 0,
      "demandAccumulationSafetyStock": 0,
      "demandForecast": 0,
      "dimension": "string",
      "dimensionId": "string",
      "finish": "string",
      "finishId": "string",
      "grade": "string",
      "gradeId": "string",
      "id": "string",
      "itemTrackingType": "Inventory",
      "leadTime": 0,
      "lotSize": 0,
      "materialFormId": "string",
      "materialSubstanceId": "string",
      "materialType": "string",
      "materialTypeId": "string",
      "maximumInventoryQuantity": 0,
      "maximumOrderQuantity": 0,
      "minimumOrderQuantity": 0,
      "name": "string",
      "orderMultiple": 0,
      "quantityOnHand": 0,
      "quantityOnHold": 0,
      "quantityOnProductionDemand": 0,
      "quantityOnProductionOrder": 0,
      "quantityOnPurchaseOrder": 0,
      "quantityOnSalesOrder": 0,
      "quantityRejected": 0,
      "readableId": "string",
      "readableIdWithRevision": "string",
      "reorderingPolicy": "Manual Reorder",
      "reorderPoint": 0,
      "reorderQuantity": 0,
      "replenishmentSystem": "Buy",
      "storageTypeIds": [
        "string"
      ],
      "storageUnitIds": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "thumbnailPath": "string",
      "type": "Part",
      "unitOfMeasureCode": "string",
      "usageLast30Days": 0,
      "usageLast90Days": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  },
  "required": [
    "locationId",
    "args"
  ]
}